## libsolv 0.7.20

=== debian/changelog ===
libsolv (0.7.20-1ubuntu0.22.04.1) jammy; urgency=medium

  [ Sjoerd Simons ]
  * Enable libzstd compression support (LP: #2043625)

 -- Luca Boccassi <bluca@debian.org>  Wed, 15 Nov 2023 22:55:31 +0000

libsolv (0.7.20-1build2) jammy; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 06 Feb 2022 17:04:51 +0100

libsolv (0.7.20-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 as default version

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 13 Jan 2022 19:54:56 +0000

libsolv (0.7.20-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.6.0. No changes needed.
  * debian/copyright:
    + Update (and fix some) copyright attributions.
  * debian/source/lintian-overrides:
    + Catch some very long lines in man pages.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 16 Nov 2021 10:52:16 +0100

libsolv (0.7.17-2) unstable; urgency=medium

  * debian/watch:
    + Fix Github watch URL and switch to format version 4.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 29 Apr 2021 14:13:00 +0200

=== debian/control ===
Source: libsolv
Section: admin
Priority: optional
Maintainer: Mike Gabriel <sunweaver@debian.org>
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 dpkg-dev (>= 1.16.1.1),
 cdbs,
 cmake,
 libexpat1-dev,
 zlib1g-dev,
 librpm-dev (>= 4),
 liblzma-dev,
 libbz2-dev,
 libzstd-dev,
 python3-dev,
 libpython3-dev,
 swig,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://github.com/openSUSE/libsolv
Vcs-Browser: https://salsa.debian.org/debian/libsolv/
Vcs-Git: https://salsa.debian.org/debian/libsolv.git

Package: libsolv1
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: dependency solver using a satisfiability algorithm (shared library)
 This dependency solver code in this package is based on two major, but
 independent, blocks:
 .
 1. Using a dictionary approach to store and retrieve package
    and dependency information.
 2. Using satisfiability, a well known and researched topic, for
    resolving package dependencies.
 .
 Supported package formats:
   - rpm/rpm5
   - deb
   - Arch Linux
   - haiku
 .
 Supported repository formats:
   - rpmmd (primary, filelists, comps, deltainfo/presto, updateinfo)
   - susetags, suse product formats
   - mandriva/mageia (synthesis, info, files)
   - Arch Linux
   - red carpet helix format
   - haiku

Package: libsolv-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends}
Description: dependency solver using a satisfiablility algorithm (documentation files)
 This dependency solver code in this package is based on two major, but
 independent, blocks:
 .
 1. Using a dictionary approach to store and retrieve package
    and dependency information.
 2. Using satisfiability, a well known and researched topic, for
    resolving package dependencies.
 .
 This package contains documentation files for libsolv.

Package: libsolv-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Provides:
 libsolv-dev
Depends:
 ${misc:Depends},
 libsolv1 (= ${binary:Version}),
 libsolvext-dev (= ${binary:Version}),
Breaks:
 libsolv0-dev (<< 0.7),
Replaces:
 libsolv0-dev (<< 0.7),
Description: dependency solver using a satisfiability algorithm (development files)
 This dependency solver code in this package is based on two major, but
 independent, blocks:
 .
 1. Using a dictionary approach to store and retrieve package
    and dependency information.
 2. Using satisfiability, a well known and researched topic, for
    resolving package dependencies.
 .
 This package contains development files for libsolv.

Package: libsolvext1
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: dependency solver using a satisfiability algorithm (extensions)
 This dependency solver code in this package is based on two major, but
 independent, blocks:
 .
 1. Using a dictionary approach to store and retrieve package
    and dependency information.
 2. Using satisfiability, a well known and researched topic, for
    resolving package dependencies.
 .
 Search the internet  for 'sat solver' to get links to the theory behind it.
 .
 Supported package formats:
   - rpm/rpm5
   - deb
   - Arch Linux
   - haiku
 .
 Supported repository formats:
   - rpmmd (primary, filelists, comps, deltainfo/presto, updateinfo)
   - susetags, suse product formats
   - mandriva/mageia (synthesis, info, files)
   - Arch Linux
   - red carpet helix format
   - haiku
 .
 This package contains the libsolv extension library.

Package: libsolvext-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Provides:
 libsolvext-dev
Depends:
 ${misc:Depends},
 libsolvext1 (= ${binary:Version}),
Breaks:
 libsolvext0-dev (<< 0.7),
Replaces:
 libsolvext0-dev (<< 0.7),
Description: dependency solver using a satisfiability algorithm (ext development files)
 This dependency solver code in this package is based on two major, but
 independent, blocks:
 .
 1. Using a dictionary approach to store and retrieve package
    and dependency information.
 2. Using satisfiability, a well known and researched topic, for
    resolving package dependencies.
 .
 This package contains development files for libsolvext.

Package: libsolv-tools
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libsolv1 (= ${binary:Version}),
Description: dependency solver using a satisfiability algorithm (command-line tools)
 This dependency solver code in this package is based on two major, but
 independent, blocks:
 .
 1. Using a dictionary approach to store and retrieve package
    and dependency information.
 2. Using satisfiability, a well known and researched topic, for
    resolving package dependencies.
 .
 This package contains command-line tools that facilitate using libsolv.

Package: python3-solv
Section: python
Architecture: any
Depends:
 ${python3:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 libsolv1 (= ${binary:Version}),
Description: dependency solver using a satisfiability algorithm (Python3 bindings)
 This dependency solver code in this package is based on two major, but
 independent, blocks:
 .
 1. Using a dictionary approach to store and retrieve package
    and dependency information.
 2. Using satisfiability, a well known and researched topic, for
    resolving package dependencies.
 .
 This package contains the Python (v3) bindings for the libsolv library.

Package: libsolv-perl
Section: perl
Architecture: any
Depends:
 ${perl:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 libsolv1 (= ${binary:Version}),
Description: dependency solver using a satisfiability algorithm (Perl bindings)
 This dependency solver code in this package is based on two major, but
 independent, blocks:
 .
 1. Using a dictionary approach to store and retrieve package
    and dependency information.
 2. Using satisfiability, a well known and researched topic, for
    resolving package dependencies.
 .
 This package contains the Perl bindings for the libsolv library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

NULL =

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

include /usr/share/cdbs/1/class/cmake.mk
include /usr/share/cdbs/1/class/python-module.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk

DEB_DH_INSTALL_ARGS += --fail-missing
DEB_DH_MISSING_ARGS += --fail-missing

DEB_DH_INSTALLCHANGELOGS_ARGS = NEWS

DEB_INSTALL_DOCS_ALL = README CREDITS TODO_1.0

DEB_CMAKE_EXTRA_FLAGS := \
                         -DCMAKE_INSTALL_PREFIX=/usr \
                         -DLIB="lib/$(shell dpkg-architecture -qDEB_BUILD_MULTIARCH)" \
                         -DINCLUDE="include/$(shell dpkg-architecture -qDEB_BUILD_MULTIARCH)" \
                         -DUSE_VENDORDIRS=1 \
                         -DMULTI_SEMANTICS=1 \
                         -DDEBIAN=1 \
                         -DENABLE_PUBKEY=1 \
                         -DENABLE_SUSEREPO=1 \
                         -DENABLE_RPMMD=1 \
                         -DENABLE_RPMDB=1 \
                         -DENABLE_RPMDB_BYRPMHEADER=1 \
                         -DENABLE_HELIXREPO=1 \
                         -DENABLE_DEBIAN=1 \
                         -DENABLE_MDKREPO=1 \
                         -DENABLE_ARCHREPO=1 \
                         -DENABLE_CUDFREPO=1 \
                         -DCMAKE_VERBOSE_MAKEFILE=ON \
                         -DENABLE_LZMA_COMPRESSION=1 \
                         -DENABLE_BZIP2_COMPRESSION=1 \
                         -DENABLE_ZSTD_COMPRESSION=1 \
                         -DENABLE_PERL=1 \
                         -DENABLE_PYTHON=0 \
                         -DENABLE_PYTHON3=1 \
                         -DCMAKE_SKIP_RPATH=FALSE \
                         -DCMAKE_SKIP_INSTALL_RPATH=TRUE \
                         -DENABLE_COMPLEX_DEPS=1 \
                         -DENABLE_COMPS=1 \
                         $(NULL)

DEB_MAKE_CHECK_TARGET := test

common-install-indep:: remove-cruft tweak-install
common-install-arch:: remove-cruft tweak-install

remove-cruft::
	@echo "Nothing to decruft after installation."

tweak-install::
	if [ -e debian/tmp/usr/bin/repo2solv.sh ]; then mv debian/tmp/usr/bin/repo2solv.sh debian/tmp/usr/bin/repo2solv; fi
	if [ -e debian/tmp/cmake ]; then mv debian/tmp/cmake/ debian/tmp/usr/share/; fi
	if [ -e debian/tmp/usr/share/cmake/libsolv/FindLibSolv.cmake ]; then ln -s FindLibSolv.cmake debian/tmp/usr/share/cmake/libsolv/LibSolvConfig.cmake; fi

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

## libsolv 0.7.22

=== debian/changelog ===
libsolv (0.7.22-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/source/lintian-overrides:
    + Update detail in one of the overrides.
  * debian/libsolv1.symbols:
    + Update symbols.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 04 Apr 2022 23:16:51 +0200

libsolv (0.7.21-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/libsolv1.symbols:
    + Update symbols.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 13 Mar 2022 22:13:21 +0100

## libsolv 0.7.23

=== debian/changelog ===
libsolv (0.7.23-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + libsolv-doc: Add Multi-Arch: foreign.
  * Update lintian override info format in d/source/lintian-overrides on line
    2-5.
  * Set upstream metadata fields: Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

  [ Mike Gabriel ]
  * New upstream release.
  * debian/upstream/metadata: Complete file.
  * debian/copyright: Update copyright attributions.
  * debian/copyright: Update copyright attributions for debian/.
  * debian/libsolv1.symbols: Update symbols.
  * debian/source/lintian-overrides: Adjust to new version.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 06 Feb 2023 23:47:58 +0100

=== debian/control ===
--- 
+++ 
@@ -13,11 +13,10 @@
  librpm-dev (>= 4),
  liblzma-dev,
  libbz2-dev,
- libzstd-dev,
  python3-dev,
  libpython3-dev,
  swig,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/openSUSE/libsolv
 Vcs-Browser: https://salsa.debian.org/debian/libsolv/
@@ -58,6 +57,7 @@
 Architecture: all
 Depends:
  ${misc:Depends}
+Multi-Arch: foreign
 Description: dependency solver using a satisfiablility algorithm (documentation files)
  This dependency solver code in this package is based on two major, but
  independent, blocks:

## libsolv 0.7.24

=== debian/changelog ===
libsolv (0.7.24-1ubuntu0.23.10.1) mantic; urgency=medium

  [ Sjoerd Simons ]
  * Enable libzstd compression support (LP: #2043625)

 -- Luca Boccassi <bluca@debian.org>  Wed, 15 Nov 2023 22:49:32 +0000

libsolv (0.7.24-1) unstable; urgency=medium

  * New upstream release 0.7.24
  * Bump Standards-Version to 4.6.2, no changes
  * Fix installation of python3 files
  * Add myself as uploader

 -- Luca Boccassi <bluca@debian.org>  Thu, 06 Jul 2023 11:13:06 +0100

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Mike Gabriel <sunweaver@debian.org>
+Uploaders: Luca Boccassi <bluca@debian.org>
 Build-Depends:
  debhelper (>= 10~),
  dh-python,
@@ -13,10 +14,11 @@
  librpm-dev (>= 4),
  liblzma-dev,
  libbz2-dev,
+ libzstd-dev,
  python3-dev,
  libpython3-dev,
  swig,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/openSUSE/libsolv
 Vcs-Browser: https://salsa.debian.org/debian/libsolv/

## libsolv 0.7.28

=== debian/changelog ===
libsolv (0.7.28-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 02:17:06 +0000

libsolv (0.7.28-1build1) noble; urgency=medium

  * No-change rebuild for perlapi5.38t64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 Mar 2024 15:53:10 +0100

libsolv (0.7.28-1) unstable; urgency=medium

  * Move package to pkg-rpm-team
  * Update upstream source from tag 'upstream/0.7.28'
  * Drop 1006_various-typos.patch, merged upstream
  * Bump copyright year ranges in d/copyright

 -- Luca Boccassi <bluca@debian.org>  Mon, 29 Jan 2024 10:28:06 +0000

libsolv (0.7.27-2) unstable; urgency=medium

  * Simplify dependencies on Python (Closes: #1057464)

 -- Luca Boccassi <bluca@debian.org>  Thu, 07 Dec 2023 00:43:04 +0000

libsolv (0.7.27-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/0.7.27'

 -- Luca Boccassi <bluca@debian.org>  Sun, 26 Nov 2023 12:58:08 +0000

libsolv (0.7.26-2) unstable; urgency=medium

  [ Sjoerd Simons ]
  * Enable libzstd compression support

 -- Luca Boccassi <bluca@debian.org>  Wed, 15 Nov 2023 22:02:16 +0000

libsolv (0.7.26-1) unstable; urgency=medium

  * Switch to git-buildpackage workflow
  * Switch to debhelper
  * Build against all Python versions (Closes: #867608)
  * List missing symbols for libsolv1
  * Simplify d/copyright
  * Fix Lintian warning about mismatched override
  * Update upstream source from tag 'upstream/0.7.26'

 -- Luca Boccassi <bluca@debian.org>  Sat, 11 Nov 2023 16:02:21 +0000

libsolv (0.7.25-1) unstable; urgency=medium

  * New upstream release 0.7.25

 -- Luca Boccassi <bluca@debian.org>  Sat, 16 Sep 2023 16:59:24 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: libsolv
 Section: admin
 Priority: optional
-Maintainer: Mike Gabriel <sunweaver@debian.org>
-Uploaders: Luca Boccassi <bluca@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: RPM packaging team <team+pkg-rpm@tracker.debian.org>
+Uploaders: Luca Boccassi <bluca@debian.org>,
+           Mike Gabriel <sunweaver@debian.org>,
 Build-Depends:
- debhelper (>= 10~),
- dh-python,
+ debhelper-compat (= 13),
+ dh-sequence-python3,
  dpkg-dev (>= 1.16.1.1),
- cdbs,
  cmake,
  libexpat1-dev,
  zlib1g-dev,
@@ -16,13 +17,12 @@
  libbz2-dev,
  libzstd-dev,
  python3-dev,
- libpython3-dev,
  swig,
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/openSUSE/libsolv
-Vcs-Browser: https://salsa.debian.org/debian/libsolv/
-Vcs-Git: https://salsa.debian.org/debian/libsolv.git
+Vcs-Browser: https://salsa.debian.org/pkg-rpm-team/libsolv/
+Vcs-Git: https://salsa.debian.org/pkg-rpm-team/libsolv.git
 
 Package: libsolv1
 Section: libs

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DLIB="lib/$(shell dpkg-architecture -qDEB_BUILD_MULTIARCH)" \
		-DINCLUDE="include/$(shell dpkg-architecture -qDEB_BUILD_MULTIARCH)" \
		-DUSE_VENDORDIRS=1 \
		-DMULTI_SEMANTICS=1 \
		-DDEBIAN=1 \
		-DENABLE_PUBKEY=1 \
		-DENABLE_SUSEREPO=1 \
		-DENABLE_RPMMD=1 \
		-DENABLE_RPMDB=1 \
		-DENABLE_RPMDB_BYRPMHEADER=1 \
		-DENABLE_HELIXREPO=1 \
		-DENABLE_DEBIAN=1 \
		-DENABLE_MDKREPO=1 \
		-DENABLE_ARCHREPO=1 \
		-DENABLE_CUDFREPO=1 \
		-DCMAKE_VERBOSE_MAKEFILE=ON \
		-DENABLE_LZMA_COMPRESSION=1 \
		-DENABLE_BZIP2_COMPRESSION=1 \
		-DENABLE_ZSTD_COMPRESSION=1 \
		-DENABLE_PERL=1 \
		-DENABLE_PYTHON=0 \
		-DENABLE_PYTHON3=1 \
		-DCMAKE_SKIP_RPATH=FALSE \
		-DCMAKE_SKIP_INSTALL_RPATH=TRUE \
		-DENABLE_COMPLEX_DEPS=1 \
		-DENABLE_COMPS=1

execute_after_dh_auto_install:
	if [ -e debian/tmp/usr/bin/repo2solv.sh ]; then mv debian/tmp/usr/bin/repo2solv.sh debian/tmp/usr/bin/repo2solv; fi
	if [ -e debian/tmp/cmake ]; then mv debian/tmp/cmake/ debian/tmp/usr/share/; fi
	if [ -e debian/tmp/usr/share/cmake/libsolv/FindLibSolv.cmake ]; then ln -s FindLibSolv.cmake debian/tmp/usr/share/cmake/libsolv/LibSolvConfig.cmake; fi

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_installdocs:
	dh_installdocs --all CREDITS README TODO_1.0

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/([\d\.-]+)\.tar\.gz/libsolv-$1.tar.gz/,dversionmangle=s/\+dfsg// \
https://github.com/openSUSE/libsolv/tags .*/archive/refs/tags/([\d\.]+).tar.gz

## libsolv 0.7.29

=== debian/changelog ===
libsolv (0.7.29-1build1) oracular; urgency=medium

  * Rebuild against new librpm10.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 11 May 2024 15:11:05 +0200

libsolv (0.7.29-1) unstable; urgency=medium

  * Bump Standards-Version to 4.7.0, no changes
  * Update upstream source from tag 'upstream/0.7.29'

 -- Luca Boccassi <bluca@debian.org>  Fri, 03 May 2024 14:44:24 +0100

## libsolv 0.7.30

=== bindings/CMakeLists.txt ===
SET (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fPIC")

FIND_PACKAGE (SWIG)

MESSAGE (STATUS "Found SWIG version ${SWIG_VERSION}")
SET (SWIG_INPUT "${CMAKE_CURRENT_SOURCE_DIR}/solv.i")

IF (ENABLE_PYTHON)
    ADD_SUBDIRECTORY (python)
ENDIF (ENABLE_PYTHON)
IF (ENABLE_PYTHON3)
    ADD_SUBDIRECTORY (python3)
ENDIF (ENABLE_PYTHON3)
IF (ENABLE_PERL)
    ADD_SUBDIRECTORY (perl)
ENDIF (ENABLE_PERL)
IF (ENABLE_RUBY)
    ADD_SUBDIRECTORY (ruby)
ENDIF (ENABLE_RUBY)
IF (ENABLE_TCL)
    ADD_SUBDIRECTORY (tcl)
ENDIF (ENABLE_TCL)
IF (ENABLE_LUA)
    ADD_SUBDIRECTORY (lua)
ENDIF (ENABLE_LUA)

=== debian/changelog ===
libsolv (0.7.30-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/0.7.30'

 -- Luca Boccassi <bluca@debian.org>  Sun, 14 Jul 2024 11:27:56 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: libsolv
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: RPM packaging team <team+pkg-rpm@tracker.debian.org>
+Maintainer: RPM packaging team <team+pkg-rpm@tracker.debian.org>
 Uploaders: Luca Boccassi <bluca@debian.org>,
            Mike Gabriel <sunweaver@debian.org>,
 Build-Depends:
@@ -18,7 +17,7 @@
  libzstd-dev,
  python3-dev,
  swig,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/openSUSE/libsolv
 Vcs-Browser: https://salsa.debian.org/pkg-rpm-team/libsolv/

## libsolv 0.7.31

=== CMakeLists.txt ===
PROJECT (libsolv C)

CMAKE_MINIMUM_REQUIRED (VERSION 2.8.5)

OPTION (ENABLE_STATIC "Build a static version of the libraries?" OFF)
OPTION (DISABLE_SHARED "Do not build a shared version of the libraries?" OFF)

OPTION (ENABLE_PERL "Build the perl bindings?" OFF)
OPTION (ENABLE_PYTHON "Build the python bindings?" OFF)
OPTION (ENABLE_RUBY "Build the ruby bindings?" OFF)
OPTION (ENABLE_TCL "Build the Tcl bindings?" OFF)
OPTION (ENABLE_LUA "Build the lua bindings?" OFF)

OPTION (USE_VENDORDIRS "Install the bindings in vendor directories?" OFF)

OPTION (ENABLE_RPMDB "Build with rpm database support?" OFF)
OPTION (ENABLE_RPMPKG "Build with rpm package support?" OFF)
OPTION (ENABLE_PUBKEY "Build with pubkey support?" OFF)
OPTION (ENABLE_RPMDB_BYRPMHEADER "Build with rpmdb Header support?" OFF)
OPTION (ENABLE_RPMDB_LIBRPM "Use librpm to access the rpm database?" OFF)
OPTION (ENABLE_RPMDB_BDB "Use BerkeleyDB to access the rpm database?" OFF)
OPTION (ENABLE_RPMPKG_LIBRPM "Use librpm to access rpm header information?" OFF)
OPTION (ENABLE_RPMMD "Build with rpmmd repository support?" OFF)
OPTION (ENABLE_SUSEREPO "Build with suse repository support?" OFF)
OPTION (ENABLE_COMPS "Build with fedora comps support?" OFF)
OPTION (ENABLE_HELIXREPO "Build with helix repository support?" OFF)
OPTION (ENABLE_DEBIAN "Build with debian database/repository support?" OFF)
OPTION (ENABLE_MDKREPO "Build with mandriva/mageia repository support?" OFF)
OPTION (ENABLE_ARCHREPO "Build with archlinux repository support?" OFF)
OPTION (ENABLE_CUDFREPO "Build with cudf repository support?" OFF)
OPTION (ENABLE_HAIKU "Build with Haiku package support?" OFF)
OPTION (ENABLE_CONDA "Build with conda dependency support?" OFF)
OPTION (ENABLE_APPDATA "Build with AppStream appdata support?" OFF)

OPTION (MULTI_SEMANTICS "Build with support for multiple distribution types?" OFF)

OPTION (ENABLE_LZMA_COMPRESSION "Build with lzma/xz compression support?" OFF)
OPTION (ENABLE_BZIP2_COMPRESSION "Build with bzip2 compression support?" OFF)
OPTION (ENABLE_ZSTD_COMPRESSION "Build with zstd compression support?" OFF)
OPTION (ENABLE_ZCHUNK_COMPRESSION "Build with zchunk compression support?" OFF)
OPTION (WITH_SYSTEM_ZCHUNK "Use system zchunk library?" OFF)
OPTION (WITH_LIBXML2  "Build with libxml2 instead of libexpat?" OFF)
OPTION (WITHOUT_COOKIEOPEN "Disable the use of stdio cookie opens?" OFF)

include (GNUInstallDirs)
message (STATUS "Libraries will be installed in ${CMAKE_INSTALL_FULL_LIBDIR}")
message (STATUS "Header files will be installed in ${CMAKE_INSTALL_FULL_INCLUDEDIR}")
message (STATUS "Binaries will be installed in ${CMAKE_INSTALL_FULL_BINDIR}")
message (STATUS "Man pages will be installed in ${CMAKE_INSTALL_FULL_MANDIR}")

IF (NOT PKGCONFIG_INSTALL_DIR)
  SET (PKGCONFIG_INSTALL_DIR ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
ENDIF (NOT PKGCONFIG_INSTALL_DIR)
####################################################################
# CONFIGURATION                                                    #
####################################################################

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
SET (CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules)
INSTALL( FILES ${CMAKE_MODULE_PATH}/FindLibSolv.cmake DESTINATION ${CMAKE_INSTALL_PREFIX}/share/cmake/Modules )

# for shared libraries on windows (DLLs), we just export all symbols for now
SET(CMAKE_WINDOWS_EXPORT_ALL_SYMBOLS ON)

INCLUDE (${CMAKE_SOURCE_DIR}/VERSION.cmake)

SET (have_system x)

IF (FEDORA)
MESSAGE(STATUS "Building for Fedora")
ADD_DEFINITIONS (-DFEDORA)
SET (ENABLE_RPMDB ON)
SET (ENABLE_RPMMD ON)
SET (have_system ${have_system}x)
ENDIF (FEDORA)

IF (DEBIAN)
MESSAGE (STATUS "Building for Debian")
ADD_DEFINITIONS (-DDEBIAN)
SET (ENABLE_DEBIAN ON)
SET (have_system ${have_system}x)
ENDIF (DEBIAN)

IF (SUSE)
MESSAGE (STATUS "Building for SUSE")
ADD_DEFINITIONS (-DSUSE)
SET (ENABLE_RPMDB ON)
SET (ENABLE_PUBKEY ON)
SET (ENABLE_RPMDB_BYRPMHEADER ON)
SET (ENABLE_RPMMD ON)
SET (ENABLE_SUSEREPO ON)
SET (ENABLE_HELIXREPO ON)
SET (ENABLE_LINKED_PKGS ON)
SET (have_system ${have_system}x)
ENDIF (SUSE)

IF (ARCHLINUX)
MESSAGE (STATUS "Building for Archlinux")
ADD_DEFINITIONS (-DARCHLINUX)
SET (ENABLE_ARCHREPO ON)
SET (have_system ${have_system}x)
ENDIF (ARCHLINUX)

IF (MANDRIVA)
MESSAGE (STATUS "Building for Mandriva")
ADD_DEFINITIONS (-DMANDRIVA)
SET (ENABLE_MDKREPO ON)
SET (ENABLE_RPMDB ON)
SET (have_system ${have_system}x)
ENDIF (MANDRIVA)

IF (MAGEIA)
MESSAGE (STATUS "Building for Mageia")
ADD_DEFINITIONS (-DMAGEIA)
SET (ENABLE_MDKREPO ON)
SET (ENABLE_RPMDB ON)
SET (ENABLE_RPMMD ON)
SET (ENABLE_LZMA_COMPRESSION ON)
SET (have_system ${have_system}x)
ENDIF (MAGEIA)

IF (HAIKU)
MESSAGE(STATUS "Building for Haiku")
FIND_LIBRARY(HAIKU_BE_LIBRARY NAMES be)
FIND_LIBRARY(HAIKU_NETWORK_LIBRARY NAMES network)
FIND_LIBRARY(HAIKU_PACKAGE_LIBRARY NAMES package)
SET (HAIKU_SYSTEM_LIBRARIES
    ${HAIKU_BE_LIBRARY} ${HAIKU_NETWORK_LIBRARY} ${HAIKU_PACKAGE_LIBRARY})
ADD_DEFINITIONS (-DHAIKU)
SET (ENABLE_HAIKU ON)
SET (have_system ${have_system}x)
ENDIF (HAIKU)

SET (CMAKE_MACOSX_RPATH ON)

IF (${have_system} STREQUAL x)
    MESSAGE (STATUS "Building for no system")
ENDIF (${have_system} STREQUAL x)
IF (${have_system} STRGREATER xx)
    MESSAGE (FATAL_ERROR "Can only compile for one system type.")
ENDIF (${have_system} STRGREATER xx)

SET (ENABLE_ZLIB_COMPRESSION ON)
IF (ENABLE_ARCHREPO OR ENABLE_DEBIAN)
SET (ENABLE_LZMA_COMPRESSION ON)
ENDIF (ENABLE_ARCHREPO OR ENABLE_DEBIAN)

IF (WITH_SYSTEM_ZCHUNK)
SET (ENABLE_ZCHUNK_COMPRESSION ON)
FIND_PACKAGE(PkgConfig REQUIRED)
PKG_CHECK_MODULES(ZCHUNK zck REQUIRED)
ENDIF (WITH_SYSTEM_ZCHUNK)

IF (ENABLE_ZCHUNK_COMPRESSION)
SET (ENABLE_ZSTD_COMPRESSION ON)
ENDIF (ENABLE_ZCHUNK_COMPRESSION)

IF (ENABLE_RPMMD OR ENABLE_SUSEREPO OR ENABLE_APPDATA OR ENABLE_COMPS OR ENABLE_HELIXREPO OR ENABLE_MDKREPO)
IF (WITH_LIBXML2 )
FIND_PACKAGE (LibXml2 REQUIRED)
INCLUDE_DIRECTORIES (${LIBXML2_INCLUDE_DIR})
ELSE(WITH_LIBXML2 )
FIND_PACKAGE (EXPAT REQUIRED)
INCLUDE_DIRECTORIES (${EXPAT_INCLUDE_DIRS})
ENDIF (WITH_LIBXML2 )
ENDIF (ENABLE_RPMMD OR ENABLE_SUSEREPO OR ENABLE_APPDATA OR ENABLE_COMPS OR ENABLE_HELIXREPO OR ENABLE_MDKREPO)

IF (ENABLE_ZLIB_COMPRESSION)
FIND_PACKAGE (ZLIB REQUIRED)
INCLUDE_DIRECTORIES (${ZLIB_INCLUDE_DIRS})
ENDIF (ENABLE_ZLIB_COMPRESSION)

IF (ENABLE_LZMA_COMPRESSION)
FIND_PACKAGE (LZMA REQUIRED)
INCLUDE_DIRECTORIES (${LZMA_INCLUDE_DIR})
ENDIF (ENABLE_LZMA_COMPRESSION)

IF (ENABLE_BZIP2_COMPRESSION)
FIND_PACKAGE (BZip2 REQUIRED)
INCLUDE_DIRECTORIES (${BZIP2_INCLUDE_DIRS})
ENDIF (ENABLE_BZIP2_COMPRESSION)

IF (ENABLE_ZSTD_COMPRESSION)
FIND_LIBRARY (ZSTD_LIBRARY NAMES zstd)
FIND_PATH (ZSTD_INCLUDE_DIRS zstd.h)
INCLUDE_DIRECTORIES (${ZSTD_INCLUDE_DIRS})
ENDIF (ENABLE_ZSTD_COMPRESSION)

IF (RPM5)
MESSAGE (STATUS "Enabling RPM 5 support")
ADD_DEFINITIONS (-DRPM5)
SET (ENABLE_RPMDB ON)
SET (ENABLE_RPMMD ON)
FIND_PACKAGE (PkgConfig REQUIRED)
PKG_CHECK_MODULES (RPM REQUIRED rpm)
INCLUDE_DIRECTORIES (${RPM_INCLUDE_DIRS})
ENDIF (RPM5)

IF (ENABLE_CONDA)
SET (MULTI_SEMANTICS ON)
ENDIF (ENABLE_CONDA)

IF (MULTI_SEMANTICS)
MESSAGE (STATUS "Enabling multi dist support")
ENDIF (MULTI_SEMANTICS)

IF (ENABLE_RPMDB)
SET (ENABLE_RPMPKG ON)
ENDIF (ENABLE_RPMDB)

INCLUDE (CheckIncludeFile)
IF (ENABLE_RPMDB OR ENABLE_RPMPKG_LIBRPM)
  FIND_PATH (RPM_INCLUDE_DIR NAMES rpm/rpmio.h)
  IF (RPM_INCLUDE_DIR)
    INCLUDE_DIRECTORIES (${RPM_INCLUDE_DIR})
    SET (CMAKE_REQUIRED_INCLUDES ${CMAKE_REQUIRED_INCLUDES} ${RPM_INCLUDE_DIR})
  ENDIF (RPM_INCLUDE_DIR)

  FIND_LIBRARY (RPMDB_LIBRARY NAMES rpmdb)

  IF (NOT RPMDB_LIBRARY)
    FIND_LIBRARY (RPMDB_LIBRARY NAMES rpm)
  ENDIF (NOT RPMDB_LIBRARY)

  FIND_LIBRARY (RPMIO_LIBRARY NAMES rpmio)
  IF (RPMIO_LIBRARY)
    SET(RPMDB_LIBRARY ${RPMIO_LIBRARY} ${RPMDB_LIBRARY})
  ENDIF (RPMIO_LIBRARY)

  IF (RPM5)
    FIND_LIBRARY (RPMMISC_LIBRARY NAMES rpmmisc)
    IF (RPMMISC_LIBRARY)
      SET (RPMDB_LIBRARY ${RPMMISC_LIBRARY} ${RPMDB_LIBRARY})
    ENDIF (RPMMISC_LIBRARY)
  ENDIF (RPM5)

  IF (ENABLE_RPMDB)
    IF (NOT ENABLE_RPMDB_BDB)
      SET (ENABLE_RPMDB_LIBRPM ON)
    ENDIF (NOT ENABLE_RPMDB_BDB)

    # check if rpm contains a bundled berkeley db
    CHECK_INCLUDE_FILE(rpm/db.h HAVE_RPM_DB_H)
    IF (NOT ENABLE_RPMDB_LIBRPM)
      IF (NOT HAVE_RPM_DB_H)
        FIND_LIBRARY (DB_LIBRARY NAMES db)
        IF (DB_LIBRARY)
          SET (RPMDB_LIBRARY ${DB_LIBRARY} ${RPMDB_LIBRARY})
        ENDIF (DB_LIBRARY)
        IF (DB_INCLUDE_DIR)
          INCLUDE_DIRECTORIES (${DB_INCLUDE_DIR})
        ENDIF (DB_INCLUDE_DIR)
      ENDIF (NOT HAVE_RPM_DB_H)
    ENDIF (NOT ENABLE_RPMDB_LIBRPM)
  ENDIF (ENABLE_RPMDB)

  INCLUDE (CheckLibraryExists)
  CHECK_LIBRARY_EXISTS(rpm rpmdbNextIteratorHeaderBlob "" HAVE_RPMDBNEXTITERATORHEADERBLOB)
  CHECK_LIBRARY_EXISTS(rpm rpmdbFStat "" HAVE_RPMDBFSTAT)
ENDIF (ENABLE_RPMDB OR ENABLE_RPMPKG_LIBRPM)

IF (ENABLE_PUBKEY)
  SET (ENABLE_PGPVRFY ON)
ENDIF (ENABLE_PUBKEY)

INCLUDE (CheckFunctionExists)
INCLUDE (TestBigEndian)

CHECK_FUNCTION_EXISTS (strchrnul HAVE_STRCHRNUL)
CHECK_FUNCTION_EXISTS (fopencookie HAVE_FOPENCOOKIE)
CHECK_FUNCTION_EXISTS (funopen HAVE_FUNOPEN)
TEST_BIG_ENDIAN (WORDS_BIGENDIAN)

IF (${CMAKE_MAJOR_VERSION} GREATER 2)
INCLUDE (CMakePushCheckState)
INCLUDE (CheckCCompilerFlag)
MACRO (check_linker_flag FLAG VAR)
	CMAKE_PUSH_CHECK_STATE (RESET)
	SET (CMAKE_REQUIRED_FLAGS "${FLAG}")
	CHECK_C_COMPILER_FLAG ("" "${VAR}")
	CMAKE_POP_CHECK_STATE ()
ENDMACRO (check_linker_flag)
check_linker_flag("-Wl,--as-needed" HAVE_LINKER_AS_NEEDED)
check_linker_flag("-Wl,--version-script=${CMAKE_SOURCE_DIR}/src/libsolv.ver" HAVE_LINKER_VERSION_SCRIPT)
ELSE (${CMAKE_MAJOR_VERSION} GREATER 2)
SET (HAVE_LINKER_AS_NEEDED 1)
SET (HAVE_LINKER_VERSION_SCRIPT 1)
ENDIF (${CMAKE_MAJOR_VERSION} GREATER 2)

# should create config.h with #cmakedefine instead...
FOREACH (VAR HAVE_STRCHRNUL HAVE_FOPENCOOKIE HAVE_FUNOPEN WORDS_BIGENDIAN
  HAVE_RPM_DB_H HAVE_RPMDBNEXTITERATORHEADERBLOB HAVE_RPMDBFSTAT
  WITH_LIBXML2 WITHOUT_COOKIEOPEN)
  IF(${VAR})
    ADD_DEFINITIONS (-D${VAR}=1)
    SET (SWIG_FLAGS ${SWIG_FLAGS} -D${VAR})
  ENDIF (${VAR})
ENDFOREACH (VAR)

FOREACH (VAR
  ENABLE_LINKED_PKGS ENABLE_COMPLEX_DEPS MULTI_SEMANTICS ENABLE_CONDA)
  IF(${VAR})
    ADD_DEFINITIONS (-D${VAR}=1)
    SET (SWIG_FLAGS ${SWIG_FLAGS} -D${VAR})
    STRING(REPLACE ENABLE_ "" VARX ${VAR})
    SET (LIBSOLV_FEATURE_${VARX} 1)
  ENDIF (${VAR})
ENDFOREACH (VAR)

FOREACH (VAR
  ENABLE_RPMDB ENABLE_RPMPKG ENABLE_PUBKEY ENABLE_RPMMD
  ENABLE_RPMPKG_LIBRPM ENABLE_RPMDB_LIBRPM ENABLE_RPMDB_BYRPMHEADER
  ENABLE_SUSEREPO ENABLE_COMPS ENABLE_TESTCASE_HELIXREPO
  ENABLE_HELIXREPO ENABLE_MDKREPO ENABLE_ARCHREPO ENABLE_DEBIAN ENABLE_HAIKU
  ENABLE_ZLIB_COMPRESSION ENABLE_LZMA_COMPRESSION ENABLE_BZIP2_COMPRESSION
  ENABLE_ZSTD_COMPRESSION ENABLE_ZCHUNK_COMPRESSION ENABLE_PGPVRFY ENABLE_APPDATA
  WITH_SYSTEM_ZCHUNK)
  IF(${VAR})
    ADD_DEFINITIONS (-D${VAR}=1)
    SET (SWIG_FLAGS ${SWIG_FLAGS} -D${VAR})
    STRING(REPLACE ENABLE_ "" VARX ${VAR})
    SET (LIBSOLVEXT_FEATURE_${VARX} 1)
  ENDIF (${VAR})
ENDFOREACH (VAR)

SET (PACKAGE "libsolv")
SET (VERSION "${LIBSOLV_MAJOR}.${LIBSOLV_MINOR}.${LIBSOLV_PATCH}")

ADD_DEFINITIONS (-D_FILE_OFFSET_BITS=64)
#ADD_DEFINITIONS (-D_TIME_BITS=64)
CONFIGURE_FILE (src/solvversion.h.in src/solvversion.h)

SET (CPACK_PACKAGE_DESCRIPTION_SUMMARY "Package dependency solver library")
SET (CPACK_PACKAGE_VENDOR "SUSE")
SET (CPACK_PACKAGE_VERSION_MAJOR ${LIBSOLV_MAJOR})
SET (CPACK_PACKAGE_VERSION_MINOR ${LIBSOLV_MINOR})
SET (CPACK_PACKAGE_VERSION_PATCH ${LIBSOLV_PATCH})
SET (CPACK_GENERATOR "TBZ2")
SET (CPACK_SOURCE_GENERATOR "TBZ2")
SET (CPACK_SOURCE_PACKAGE_FILE_NAME "${PACKAGE}-${VERSION}")
SET (CPACK_SOURCE_TOPLEVEL_TAG "Linux-Source:")
SET (CPACK_TOPLEVEL_TAG "Linux-Source:")

# The following components are regex's to match anywhere (unless anchored)
# in absolute path + filename to find files or directories to be excluded
# from source tarball.

=== bindings/tcl/CMakeLists.txt ===
FIND_PACKAGE (TCL)

SET (SWIG_TCL_FLAGS -namespace -pkgversion ${VERSION})

EXECUTE_PROCESS (
    COMMAND echo "puts -nonewline [lindex [::tcl::tm::list] end]"
    COMMAND ${TCL_TCLSH}
    OUTPUT_VARIABLE TCL_INSTALL_DIR
)

MESSAGE (STATUS "Tclsh executable: ${TCL_TCLSH}")
MESSAGE (STATUS "Tcl installation dir: ${TCL_INSTALL_DIR}")

ADD_CUSTOM_COMMAND (
    OUTPUT solv_tcl.c
    COMMAND ${SWIG_EXECUTABLE} ${SWIG_FLAGS} -tcl ${SWIG_TCL_FLAGS} -I${CMAKE_SOURCE_DIR}/src -o solv_tcl.c ${CMAKE_SOURCE_DIR}/bindings/solv.i
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
    DEPENDS ${CMAKE_SOURCE_DIR}/bindings/solv.i
)

ADD_DEFINITIONS(-Wno-unused -Wno-missing-braces)
INCLUDE_DIRECTORIES (${TCL_INCLUDE_PATH})

ADD_LIBRARY (bindings_tcl SHARED solv_tcl.c)
SET_TARGET_PROPERTIES (bindings_tcl PROPERTIES PREFIX "" OUTPUT_NAME "solv-${VERSION}" INSTALL_NAME_DIR "${TCL_INSTALL_DIR}")
TARGET_LINK_LIBRARIES (bindings_tcl libsolvext libsolv ${TCL_LIBRARY} ${SYSTEM_LIBRARIES})
INSTALL (TARGETS bindings_tcl LIBRARY DESTINATION ${TCL_INSTALL_DIR})

ADD_CUSTOM_COMMAND (
    OUTPUT solv.tm
	COMMAND sed -e "s/__VERSION__/${VERSION}/" ${CMAKE_SOURCE_DIR}/bindings/tcl/solv.tm.in >${CMAKE_CURRENT_BINARY_DIR}/solv.tm
    DEPENDS ${CMAKE_SOURCE_DIR}/bindings/tcl/solv.tm.in
    COMMENT "Creating Tcl module to load libsolv"
)
ADD_CUSTOM_TARGET (solv_tm ALL DEPENDS solv.tm)
SET_SOURCE_FILES_PROPERTIES (solv.tm PROPERTIES GENERATED TRUE)

INSTALL (FILES ${CMAKE_CURRENT_BINARY_DIR}/solv.tm DESTINATION ${TCL_INSTALL_DIR} RENAME solv-${VERSION}.tm)

=== debian/changelog ===
libsolv (0.7.31-1build1) plucky; urgency=medium

  * No-change rebuild for Python 3.13 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Jan 2025 14:43:43 +0100

libsolv (0.7.31-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/0.7.31'
  * Drop patches to support rpmdb in homedir, rpm no longer supports that
  * Drop patch to redirect cmake file and use dh_install instead
  * Drop patch to fix sysconfig.get_path and set env var instead
  * Update symbols file

 -- Luca Boccassi <bluca@debian.org>  Wed, 13 Nov 2024 12:26:26 +0000

libsolv (0.7.30-2) unstable; urgency=medium

  * Add build dependency on python3-setuptools (Closes: #1080655)
  * libsolvext-dev: depend on compression libs dev packages (Closes:
    #1084503)

 -- Luca Boccassi <bluca@debian.org>  Mon, 07 Oct 2024 23:11:38 +0100

=== debian/control ===
--- 
+++ 
@@ -16,6 +16,7 @@
  libbz2-dev,
  libzstd-dev,
  python3-dev,
+ python3-setuptools,
  swig,
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
@@ -138,6 +139,10 @@
 Depends:
  ${misc:Depends},
  libsolvext1 (= ${binary:Version}),
+ zlib1g-dev,
+ liblzma-dev,
+ libbz2-dev,
+ libzstd-dev,
 Breaks:
  libsolvext0-dev (<< 0.7),
 Replaces:

## libsolv 0.7.32

=== ext/CMakeLists.txt ===
SET (libsolvext_SRCS
    solv_xfopen.c testcase.c repo_testcase.c)

SET (libsolvext_HEADERS
    tools_util.h solv_xfopen.h testcase.h)

IF (ENABLE_RPMDB OR ENABLE_RPMPKG)
    SET (libsolvext_SRCS ${libsolvext_SRCS}
        pool_fileconflicts.c repo_rpmdb.c)
    SET (libsolvext_HEADERS ${libsolvext_HEADERS}
        pool_fileconflicts.h repo_rpmdb.h)
ENDIF (ENABLE_RPMDB OR ENABLE_RPMPKG)

IF (ENABLE_PUBKEY)
    SET (libsolvext_SRCS ${libsolvext_SRCS}
	repo_pubkey.c)
    SET (libsolvext_HEADERS ${libsolvext_HEADERS}
	repo_pubkey.h)
ENDIF (ENABLE_PUBKEY)

IF (ENABLE_PGPVRFY)
    SET (libsolvext_SRCS ${libsolvext_SRCS}
	solv_pgpvrfy.c)
    SET (libsolvext_HEADERS ${libsolvext_HEADERS}
	solv_pgpvrfy.h)
ENDIF (ENABLE_PGPVRFY)

IF (ENABLE_RPMMD)
    SET (libsolvext_SRCS ${libsolvext_SRCS}
	repo_repomdxml.c repo_rpmmd.c
	repo_deltainfoxml.c repo_updateinfoxml.c)
    SET (libsolvext_HEADERS ${libsolvext_HEADERS}
	repo_repomdxml.h repo_rpmmd.h
	repo_deltainfoxml.h repo_updateinfoxml.h)
ENDIF (ENABLE_RPMMD)

IF (ENABLE_SUSEREPO)
    SET (libsolvext_SRCS ${libsolvext_SRCS}
	repo_content.c repo_products.c repo_releasefile_products.c
	repo_susetags.c repo_zyppdb.c)
    SET (libsolvext_HEADERS ${libsolvext_HEADERS}
	repo_content.h repo_products.h repo_releasefile_products.h
	repo_susetags.h repo_zyppdb.h)
ENDIF (ENABLE_SUSEREPO)

# old cmake does not support parenthetical expressions...
IF (ENABLE_COMPLEX_DEPS)
IF (ENABLE_SUSEREPO OR ENABLE_RPMMD OR ENABLE_RPMDB OR ENABLE_RPMPKG)
    SET (libsolvext_SRCS ${libsolvext_SRCS}
	pool_parserpmrichdep.c)
    SET (libsolvext_HEADERS ${libsolvext_HEADERS}
	pool_parserpmrichdep.h)
ENDIF (ENABLE_SUSEREPO OR ENABLE_RPMMD OR ENABLE_RPMDB OR ENABLE_RPMPKG)
ENDIF (ENABLE_COMPLEX_DEPS)

IF (SUSE)
    SET (libsolvext_SRCS ${libsolvext_SRCS}
	repo_autopattern.c)
    SET (libsolvext_HEADERS ${libsolvext_HEADERS}
	repo_autopattern.h)
ENDIF (SUSE)

IF (ENABLE_COMPS)
    SET (libsolvext_SRCS ${libsolvext_SRCS}
	repo_comps.c)
    SET (libsolvext_HEADERS ${libsolvext_HEADERS}
	repo_comps.h)
ENDIF (ENABLE_COMPS)

IF (ENABLE_DEBIAN)
    SET (libsolvext_SRCS ${libsolvext_SRCS}
	repo_deb.c)
    SET (libsolvext_HEADERS ${libsolvext_HEADERS}
	repo_deb.h)
ENDIF (ENABLE_DEBIAN)

IF (ENABLE_APK)
    SET (libsolvext_SRCS ${libsolvext_SRCS}
	repo_apk.c repo_apkv3.c)
    SET (libsolvext_HEADERS ${libsolvext_HEADERS}
	repo_apk.h)
ENDIF (ENABLE_APK)

IF (ENABLE_HELIXREPO)
    SET (libsolvext_SRCS ${libsolvext_SRCS}
	repo_helix.c)
    SET (libsolvext_HEADERS ${libsolvext_HEADERS}
	repo_helix.h)
ENDIF (ENABLE_HELIXREPO)

IF (ENABLE_MDKREPO)
    SET (libsolvext_SRCS ${libsolvext_SRCS}
	repo_mdk.c)
    SET (libsolvext_HEADERS ${libsolvext_HEADERS}
	repo_mdk.h)
ENDIF (ENABLE_MDKREPO)

IF (ENABLE_ARCHREPO)
    SET (libsolvext_SRCS ${libsolvext_SRCS}
	repo_arch.c)
    SET (libsolvext_HEADERS ${libsolvext_HEADERS}
	repo_arch.h)
ENDIF (ENABLE_ARCHREPO)

IF (ENABLE_CUDFREPO)
    SET (libsolvext_SRCS ${libsolvext_SRCS}
	repo_cudf.c)
    SET (libsolvext_HEADERS ${libsolvext_HEADERS}
	repo_cudf.h)
ENDIF (ENABLE_CUDFREPO)

IF (ENABLE_HAIKU)
    enable_language(CXX)
    SET (libsolvext_SRCS ${libsolvext_SRCS}
	repo_haiku.cpp)
    SET (libsolvext_HEADERS ${libsolvext_HEADERS}
	repo_haiku.h)
ENDIF (ENABLE_HAIKU)

IF (ENABLE_APPDATA)
    SET (libsolvext_SRCS ${libsolvext_SRCS}
	repo_appdata.c)
    SET (libsolvext_HEADERS ${libsolvext_HEADERS}
	repo_appdata.h)
ENDIF (ENABLE_APPDATA)

IF (ENABLE_CONDA)
    SET (libsolvext_SRCS ${libsolvext_SRCS}
	repo_conda.c)
    SET (libsolvext_HEADERS ${libsolvext_HEADERS}
	repo_conda.h)
ENDIF (ENABLE_CONDA)

IF (ENABLE_RPMMD OR ENABLE_SUSEREPO)
    SET (libsolvext_SRCS ${libsolvext_SRCS}
	repodata_diskusage.c)
ENDIF (ENABLE_RPMMD OR ENABLE_SUSEREPO)

IF (ENABLE_RPMMD OR ENABLE_SUSEREPO OR ENABLE_APPDATA OR ENABLE_COMPS OR ENABLE_HELIXREPO OR ENABLE_MDKREPO)
    SET (libsolvext_SRCS ${libsolvext_SRCS}
	solv_xmlparser.c)
ENDIF (ENABLE_RPMMD OR ENABLE_SUSEREPO OR ENABLE_APPDATA OR ENABLE_COMPS OR ENABLE_HELIXREPO OR ENABLE_MDKREPO)

IF (ENABLE_CONDA)
    SET (libsolvext_SRCS ${libsolvext_SRCS}
	solv_jsonparser.c)
ENDIF (ENABLE_CONDA)

IF (ENABLE_ZCHUNK_COMPRESSION)
    SET (libsolvext_SRCS ${libsolvext_SRCS}
	solv_zchunk.c)
ENDIF (ENABLE_ZCHUNK_COMPRESSION)

IF (ENABLE_ARCHREPO OR ENABLE_APK)
    SET (libsolvext_SRCS ${libsolvext_SRCS}
	tarhead.c)
ENDIF (ENABLE_ARCHREPO OR ENABLE_APK)

IF (NOT MSVC)
SET (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fPIC")
ENDIF (NOT MSVC)
IF (HAVE_LINKER_VERSION_SCRIPT)
SET (CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} ${LINK_FLAGS} -Wl,--version-script=${CMAKE_SOURCE_DIR}/ext/libsolvext.ver")
ENDIF (HAVE_LINKER_VERSION_SCRIPT)

IF (DISABLE_SHARED)
ADD_LIBRARY (libsolvext STATIC ${libsolvext_SRCS})
ELSE (DISABLE_SHARED)
ADD_LIBRARY (libsolvext SHARED ${libsolvext_SRCS})
TARGET_LINK_LIBRARIES(libsolvext libsolv ${SYSTEM_LIBRARIES})
ENDIF (DISABLE_SHARED)

IF (WIN32)
  INCLUDE_DIRECTORIES (${PROJECT_SOURCE_DIR}/win32/)
ENDIF ()

SET_TARGET_PROPERTIES(libsolvext PROPERTIES OUTPUT_NAME "solvext")
SET_TARGET_PROPERTIES(libsolvext PROPERTIES SOVERSION ${LIBSOLVEXT_SOVERSION})

INSTALL (FILES ${libsolvext_HEADERS} DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/solv")
INSTALL (TARGETS libsolvext LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR} ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR} RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})

IF (ENABLE_STATIC AND NOT DISABLE_SHARED)
ADD_LIBRARY (libsolvext_static STATIC ${libsolvext_SRCS})
SET_TARGET_PROPERTIES(libsolvext_static PROPERTIES OUTPUT_NAME "solvext")
SET_TARGET_PROPERTIES(libsolvext_static PROPERTIES SOVERSION ${LIBSOLVEXT_SOVERSION})
INSTALL (TARGETS libsolvext_static LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR} ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR})
ENDIF (ENABLE_STATIC AND NOT DISABLE_SHARED)

=== bindings/python3/CMakeLists.txt ===
#
# used for building both python2 and python3 bindings
# do not use if you want to build just one flavor, use the
# standard python bindings file in that case.
#
# we cannot use FIND_PACKAGE PythonLibs here, as this would
# clash with the python variables.
#
IF (NOT DEFINED PYTHON3_EXECUTABLE)
SET (PYTHON3_EXECUTABLE "/usr/bin/python3")
ENDIF (NOT DEFINED PYTHON3_EXECUTABLE)

EXECUTE_PROCESS(COMMAND ${PYTHON3_EXECUTABLE} -c "from sys import stdout; import sysconfig; stdout.write(sysconfig.get_path('platlib'))" OUTPUT_VARIABLE PYTHON3_INSTALL_DIR)
EXECUTE_PROCESS(COMMAND ${PYTHON3_EXECUTABLE} -c "from sys import stdout; import sysconfig; stdout.write(sysconfig.get_path('include'))" OUTPUT_VARIABLE PYTHON3_INCLUDE_DIR)

SET (SWIG_PY3_FLAGS -DPYTHON3=1)
SET (SWIG_PY3_FLAGS ${SWIG_PY3_FLAGS} -DSWIG_PYTHON_LEGACY_BOOL=1)

MESSAGE (STATUS "Python3 executable: ${PYTHON3_EXECUTABLE}")
MESSAGE (STATUS "Python3 installation dir: ${PYTHON3_INSTALL_DIR}")
MESSAGE (STATUS "Python3 include path: ${PYTHON3_INCLUDE_DIR}")

ADD_CUSTOM_COMMAND (
    OUTPUT solv_python.c
    COMMAND ${SWIG_EXECUTABLE} ${SWIG_FLAGS} -python ${SWIG_PY3_FLAGS} -I${CMAKE_SOURCE_DIR}/src -o solv_python.c ${CMAKE_SOURCE_DIR}/bindings/solv.i
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
    DEPENDS ${CMAKE_SOURCE_DIR}/bindings/solv.i
)

ADD_DEFINITIONS(-Wno-unused)
INCLUDE_DIRECTORIES (${PYTHON3_INCLUDE_DIR})

ADD_LIBRARY (bindings_python3 SHARED solv_python.c)
SET_TARGET_PROPERTIES (bindings_python3 PROPERTIES PREFIX "" OUTPUT_NAME "_solv")
TARGET_LINK_LIBRARIES (bindings_python3 ${LIBSOLV_BINDINGS_LIBRARIES} ${SYSTEM_LIBRARIES})

INSTALL (TARGETS bindings_python3 LIBRARY DESTINATION ${PYTHON3_INSTALL_DIR})
INSTALL (FILES ${CMAKE_CURRENT_BINARY_DIR}/solv.py DESTINATION ${PYTHON3_INSTALL_DIR})

=== bindings/ruby/CMakeLists.txt ===
FIND_PACKAGE (Ruby)

IF (USE_VENDORDIRS AND RUBY_VENDORARCH_DIR)
    SET (RUBY_INSTALL_DIR ${RUBY_VENDORARCH_DIR})
ELSE (USE_VENDORDIRS AND RUBY_VENDORARCH_DIR)
    SET (RUBY_INSTALL_DIR ${RUBY_SITEARCH_DIR})
ENDIF (USE_VENDORDIRS AND RUBY_VENDORARCH_DIR)

MESSAGE (STATUS "Ruby executable: ${RUBY_EXECUTABLE}")
MESSAGE (STATUS "Ruby installation dir: ${RUBY_INSTALL_DIR}")

ADD_CUSTOM_COMMAND (
    OUTPUT solv_ruby.c
    COMMAND ${SWIG_EXECUTABLE} -ruby ${SWIG_FLAGS} -I${CMAKE_SOURCE_DIR}/src -o solv_ruby.c ${CMAKE_SOURCE_DIR}/bindings/solv.i
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
    DEPENDS ${CMAKE_SOURCE_DIR}/bindings/solv.i
)

ADD_DEFINITIONS(-Wno-unused)
INCLUDE_DIRECTORIES (${RUBY_INCLUDE_PATH})

ADD_LIBRARY (bindings_ruby MODULE solv_ruby.c)
SET_TARGET_PROPERTIES (bindings_ruby PROPERTIES PREFIX "" OUTPUT_NAME "solv")
TARGET_LINK_LIBRARIES (bindings_ruby ${LIBSOLV_BINDINGS_LIBRARIES} ${SYSTEM_LIBRARIES})

INSTALL (TARGETS bindings_ruby LIBRARY DESTINATION ${RUBY_INSTALL_DIR})

=== bindings/tcl/CMakeLists.txt ===
--- 
+++ 
@@ -23,7 +23,7 @@
 
 ADD_LIBRARY (bindings_tcl SHARED solv_tcl.c)
 SET_TARGET_PROPERTIES (bindings_tcl PROPERTIES PREFIX "" OUTPUT_NAME "solv-${VERSION}" INSTALL_NAME_DIR "${TCL_INSTALL_DIR}")
-TARGET_LINK_LIBRARIES (bindings_tcl libsolvext libsolv ${TCL_LIBRARY} ${SYSTEM_LIBRARIES})
+TARGET_LINK_LIBRARIES (bindings_tcl ${LIBSOLV_BINDINGS_LIBRARIES} ${TCL_LIBRARY} ${SYSTEM_LIBRARIES})
 INSTALL (TARGETS bindings_tcl LIBRARY DESTINATION ${TCL_INSTALL_DIR})
 
 ADD_CUSTOM_COMMAND (

=== examples/solv/CMakeLists.txt ===

ADD_EXECUTABLE (solv solv.c
checksig.c
deltarpm.c
fastestmirror.c
fileconflicts.c
fileprovides.c
mirror.c
patchjobs.c
repoinfo.c
repoinfo_cache.c
repoinfo_config_debian.c
repoinfo_config_yum.c
repoinfo_config_urpmi.c
repoinfo_download.c
repoinfo_system_debian.c
repoinfo_system_rpm.c
repoinfo_type_debian.c
repoinfo_type_mdk.c
repoinfo_type_rpmmd.c
repoinfo_type_plaindir.c
repoinfo_type_susetags.c
)

TARGET_LINK_LIBRARIES (solv libsolvext libsolv ${SYSTEM_LIBRARIES})

INSTALL(TARGETS
    solv
    DESTINATION ${CMAKE_INSTALL_BINDIR})

=== debian/changelog ===
libsolv (0.7.32-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/0.7.32'
  * d/control: bump Standards-Version to 4.7.2, no changes
  * Update symbols files for 0.7.32

 -- Luca Boccassi <bluca@debian.org>  Sun, 06 Apr 2025 22:06:19 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  python3-dev,
  python3-setuptools,
  swig,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/openSUSE/libsolv
 Vcs-Browser: https://salsa.debian.org/pkg-rpm-team/libsolv/
